//
// See the file LICENSE for redistribution information.
//
// Copyright (c) 2002-2003
//	Sleepycat Software.  All rights reserved.
//
// $Id: XmlMetaDataIterator.hpp,v 1.2 2004/09/02 16:37:41 jsnelson Exp $
//

#ifndef __XMLMETADATAITERATOR_HPP
#define	__XMLMETADATAITERATOR_HPP

#include "XmlPortability.hpp"
#include "DbXmlFwd.hpp"
#include <string>

namespace DbXml
{

class MetaDataIterator;
	
class DBXML_EXPORT XmlMetaDataIterator
{
public:
	/** @name For Reference Counting */
	XmlMetaDataIterator(const XmlMetaDataIterator&);
	XmlMetaDataIterator &operator=(const XmlMetaDataIterator &);
	virtual ~XmlMetaDataIterator();

	/** @name Iterator Methods */
	bool next(std::string &uri, std::string &name, XmlValue &value);
	void reset();
	
	/** @name Private Methods (for internal use) */
	// @{
	
	XmlMetaDataIterator(MetaDataIterator *document);
	operator MetaDataIterator &() const {
		return *i_;
	}
	operator MetaDataIterator *() const {
		return i_;
	}
	
	//@}
	
private:
	MetaDataIterator *i_;
};

}

#endif
