//
// See the file LICENSE for redistribution information.
//
// Copyright (c) 2002-2003
//	Sleepycat Software.  All rights reserved.
//
// $Id: XmlStatistics.hpp,v 1.1 2004/09/02 16:37:41 jsnelson Exp $
//

#ifndef __XMLSTATISTICS_HPP
#define __XMLSTATISTICS_HPP

#include "XmlPortability.hpp"

namespace DbXml
{

class Statistics;

class DBXML_EXPORT XmlStatistics
{
public:
	/** @name For Reference Counting */
	XmlStatistics(const XmlStatistics&);
	XmlStatistics &operator=(const XmlStatistics &);
	virtual ~XmlStatistics();

	/** @name Statistics Methods */
	double getNumberOfIndexedKeys() const;
	double getNumberOfUniqueKeys() const;
	double getSumKeyValueSize() const;

	/** @name Private Methods (for internal use) */
	// @{

	XmlStatistics(Statistics *statistics);
	operator Statistics *()
	{
		return statistics_;
	}
	operator Statistics &()
	{
		return *statistics_;
	}

	//@}

private:
	Statistics *statistics_;
};

}

#endif

