//
// See the file LICENSE for redistribution information.
//
// Copyright (c) 2002-2004
//	Sleepycat Software.  All rights reserved.
//
// $Id: XmlTransaction.cpp,v 1.2 2004/08/19 16:52:21 gareth Exp $
//

#include "Transaction.hpp"
#include "dbxml/XmlTransaction.hpp"

using namespace DbXml;

XmlTransaction::XmlTransaction(Transaction *transaction)
  : transaction_(transaction)
{
  transaction_->acquire();
}

XmlTransaction::XmlTransaction(const XmlTransaction &o)
  : transaction_(o.transaction_)
{
  transaction_->acquire();
}

XmlTransaction &XmlTransaction::operator=(const XmlTransaction &o)
{
  if(transaction_ != o.transaction_) {
    transaction_->release();
    transaction_ = o.transaction_;
    transaction_->acquire();
  }
  return *this;
}

XmlTransaction::~XmlTransaction()
{
  transaction_->release();
}

void XmlTransaction::abort()
{
  transaction_->abort();
}

void XmlTransaction::commit(u_int32_t flags)
{
  transaction_->commit(flags);
}

XmlTransaction XmlTransaction::createChild(u_int32_t flags)
{
  return transaction_->createChild(flags);
}

DbTxn *XmlTransaction::getDbTxn()
{
  return transaction_->getDbTxn();
}

XmlTransaction::operator Transaction *()
{
  return transaction_;
}

XmlTransaction::operator Transaction &()
{
  return *transaction_;
}
