//
// See the file LICENSE for redistribution information.
//
// Copyright (c) 2002-2004
//	Sleepycat Software.  All rights reserved.
//
// $Id: QueryPlanCommand.cpp,v 1.3 2004/09/06 14:01:14 jsnelson Exp $
//

#include "QueryPlanCommand.hpp"

using namespace DbXml;
using namespace std;

string QueryPlanCommand::getCommandName() const
{
  return "qplan";
}

string QueryPlanCommand::getBriefHelp() const
{
  return "Prints the query plan for the expression";
}

string QueryPlanCommand::getMoreHelp() const
{
  return
    string("Takes the expression as an argument. This command first parses the\n") +
    string("expression to an XmlQueryExpression, then calls the getQueryPlan()\n") +
    string("method on it.");
}

void QueryPlanCommand::execute(Args &args, Environment &env)
{
  if(args.size() != 2) {
    throw CommandException("Wrong number of arguments");
  }

  if(env.txn()) {
	  XmlQueryExpression expr = env.db().prepare(*env.txn(), args[1], env.context());
	  cout << expr.getQueryPlan();
  }
  else {
	  XmlQueryExpression expr = env.db().prepare(args[1], env.context());
	  cout << expr.getQueryPlan();
  }
}

