//
// See the file LICENSE for redistribution information.
//
// Copyright (c) 2002-2004
//	Sleepycat Software.  All rights reserved.
//
// $Id: StartTransactionCommand.cpp,v 1.4 2004/10/18 22:52:13 gmf Exp $
//

#include "StartTransactionCommand.hpp"

using namespace DbXml;
using namespace std;

string StartTransactionCommand::getCommandName() const
{
  return "starttransaction";
}

string StartTransactionCommand::getBriefHelp() const
{
  return "Creates a transaction for all subsequent operations to use";
}

string StartTransactionCommand::getMoreHelp() const
{
  return
    string("Takes no arguments. This command uses the XmlManager::createTransaction()\n") +
    string("method.");
}

void StartTransactionCommand::execute(Args &args, Environment &env)
{
  if(args.size() != 1) {
    throw CommandException("Wrong number of arguments");
  }
  env.deleteResults();

  if(env.txn()) {
	  env.commitTransaction();
	  delete env.txn();
	  env.txn() = 0;
  }
  env.txn() = new XmlTransaction(env.db().createTransaction());

  if(env.verbose()) cout << "Transaction started" << endl;
}

